Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class ArgumentOutsideDomainException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.FunctionEvaluationException
                      org.apache.commons.math.ArgumentOutsideDomainException

All Implemented Interfaces:
  java.io.Serializable

    public class ArgumentOutsideDomainException

extends FunctionEvaluationException

Error thrown when a method is called with an out of bounds argument.

Since:
  1.2
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`ArgumentOutsideDomainException(double argument, double lower, double upper)` Constructs an exception with specified formatted detail message.

Method Summary

Methods inherited from class org.apache.commons.math.FunctionEvaluationException
`getArgument`

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### ArgumentOutsideDomainException

    public ArgumentOutsideDomainException(double argument,
                                          double lower,
                                          double upper)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `lower` - lower bound of the domain
    `upper` - upper bound of the domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation